Bug 197498 - send / recv denials with avahi, cups, ntpd
send / recv denials with avahi, cups, ntpd
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Daniel Walsh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-03 06:45 EDT by Tim Waugh
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.3.2-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-12 07:05:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2006-07-03 06:45:02 EDT
Description of problem:
Network daemons wanted to use broadcast UDP packets seem to have been broken in
an selinux-policy-targeted update that occurred after FC6test1.  FC6test1 did
not show this problem.

Example AVCs below.

audit2allow says:

allow cupsd_t unlabeled_t:packet { recv send };
allow ntpd_t unlabeled_t:packet send;

'unlabeled_t:packet' looks suspicious to me.

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.3.1-1

How reproducible:
100%

Steps to Reproduce:
1. Install FC6test1.
2. Upgrade to current rawhide.
  
Actual results:
CUPS fails to broadcast printers.

Expected results:
CUPS broadcasts printers.

Additional info:

audit(1151923533.922:2383): avc:  denied  { recv } for  pid=1957 comm="cupsd"
saddr=192.168.1.6 src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923538.858:2384): avc:  denied  { recv } for  pid=2423
comm="bluez-pin" saddr=192.168.1.1 src=631 daddr=192.168.1.255 dest=631
netif=eth0 scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923563.867:2385): avc:  denied  { recv } for  saddr=192.168.1.1
src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923563.931:2386): avc:  denied  { send } for  pid=1957 comm="cupsd"
saddr=192.168.1.6 src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923563.931:2387): avc:  denied  { recv } for  pid=1957 comm="cupsd"
saddr=192.168.1.6 src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923564.871:2388): avc:  denied  { recv } for  saddr=192.168.1.1
src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923564.931:2389): avc:  denied  { send } for  pid=1957 comm="cupsd"
saddr=192.168.1.6 src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923564.935:2390): avc:  denied  { recv } for  pid=1957 comm="cupsd"
saddr=192.168.1.6 src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923569.875:2391): avc:  denied  { recv } for  pid=2315 comm="Xorg"
saddr=192.168.1.1 src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923594.871:2392): avc:  denied  { recv } for  saddr=192.168.1.1
src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923594.931:2393): avc:  denied  { send } for  pid=1957 comm="cupsd"
saddr=192.168.1.6 src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923594.931:2394): avc:  denied  { recv } for  pid=1957 comm="cupsd"
saddr=192.168.1.6 src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923595.871:2395): avc:  denied  { recv } for  saddr=192.168.1.1
src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923595.935:2396): avc:  denied  { send } for  pid=1957 comm="cupsd"
saddr=192.168.1.6 src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923595.935:2397): avc:  denied  { recv } for  pid=1957 comm="cupsd"
saddr=192.168.1.6 src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923600.871:2398): avc:  denied  { recv } for  pid=2315 comm="Xorg"
saddr=192.168.1.1 src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923625.868:2399): avc:  denied  { recv } for  saddr=192.168.1.1
src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923625.944:2400): avc:  denied  { send } for  pid=1957 comm="cupsd"
saddr=192.168.1.6 src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923625.944:2401): avc:  denied  { recv } for  pid=1957 comm="cupsd"
saddr=192.168.1.6 src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923626.868:2402): avc:  denied  { recv } for  saddr=192.168.1.1
src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923626.944:2403): avc:  denied  { send } for  pid=1957 comm="cupsd"
saddr=192.168.1.6 src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923626.944:2404): avc:  denied  { recv } for  pid=1957 comm="cupsd"
saddr=192.168.1.6 src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923631.868:2405): avc:  denied  { recv } for  saddr=192.168.1.1
src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923656.732:2406): avc:  denied  { recv } for  saddr=192.168.1.1
src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923656.948:2407): avc:  denied  { send } for  pid=1957 comm="cupsd"
saddr=192.168.1.6 src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923656.948:2408): avc:  denied  { recv } for  pid=1957 comm="cupsd"
saddr=192.168.1.6 src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923657.732:2409): avc:  denied  { recv } for  saddr=192.168.1.1
src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923657.952:2410): avc:  denied  { send } for  pid=1957 comm="cupsd"
saddr=192.168.1.6 src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923657.952:2411): avc:  denied  { recv } for  pid=1957 comm="cupsd"
saddr=192.168.1.6 src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923662.736:2412): avc:  denied  { recv } for  saddr=192.168.1.1
src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923687.733:2413): avc:  denied  { recv } for  saddr=192.168.1.1
src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923687.957:2414): avc:  denied  { send } for  pid=1957 comm="cupsd"
saddr=192.168.1.6 src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923687.957:2415): avc:  denied  { recv } for  pid=1957 comm="cupsd"
saddr=192.168.1.6 src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923688.733:2416): avc:  denied  { recv } for  saddr=192.168.1.1
src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923688.957:2417): avc:  denied  { send } for  pid=1957 comm="cupsd"
saddr=192.168.1.6 src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923688.957:2418): avc:  denied  { recv } for  pid=1957 comm="cupsd"
saddr=192.168.1.6 src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
audit(1151923693.733:2419): avc:  denied  { recv } for  saddr=192.168.1.1
src=631 daddr=192.168.1.255 dest=631 netif=eth0
scontext=system_u:system_r:cupsd_t:s0-s0:c0.c255
tcontext=system_u:object_r:unlabeled_t:s0 tclass=packet
Comment 1 Daniel Walsh 2006-07-11 12:44:11 EDT
Fixed in selinux-policy-2.3.2-1
Comment 2 Tim Waugh 2006-07-12 07:05:47 EDT
Thanks, fixed now.

Note You need to log in before you can comment on or make changes to this bug.